getChangeNoticeDiff
READGet change notice diff.
POST /api/v1/items/getChangeNoticeDiff
curl -X POST '<your-host>/api/v1/items/getChangeNoticeDiff' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"changeNoticeId": "string"
}'Response
{
"items": [
{
"affectedItemId": "string",
"itemId": "string",
"materials": [
{
"status": "added",
"before": {
"…": "…"
},
"after": {
"…": "…"
},
"changedFields": {
"…": {
"before": "…",
"after": "…"
}
}
}
],
"operations": [
{
"status": "added",
"before": {
"…": "…"
},
"after": {
"…": "…"
},
"changedFields": {
"…": {
"before": "…",
"after": "…"
}
},
"children": {
"steps": [
"…"
],
"parameters": [
"…"
],
"tools": [
"…"
]
}
}
],
"attributes": [
{
"status": "added",
"before": {
"…": "…"
},
"after": {
"…": "…"
},
"changedFields": {
"…": {
"before": "…",
"after": "…"
}
}
}
],
"supplierParts": [
{
"status": "added",
"before": {
"…": "…"
},
"after": {
"…": "…"
},
"changedFields": {
"…": {
"before": "…",
"after": "…"
}
}
}
]
}
]
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"changeNoticeId": {
"type": "string"
}
},
"required": [
"changeNoticeId"
]
}